Skip to main content
GET
List transactions involving a specific address with to-from filtering

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

address_hash_param
string
required

Address hash in the path

Pattern: ^0x([A-Fa-f0-9]{40})$
chain_id
string
required

The ID of the blockchain

Query Parameters

filter
enum<string>

Filter transactions by direction:

  • to - Only show transactions sent to this address
  • from - Only show transactions sent from this address If omitted, all transactions involving the address are returned.
Available options:
to,
from
sort
enum<string>

Sort results by:

  • block_number - Sort by block number
  • value - Sort by transaction value
  • fee - Sort by transaction fee Should be used together with order parameter.
Available options:
block_number,
value,
fee
order
enum<string>

Sort order:

  • asc - Ascending order
  • desc - Descending order Should be used together with sort parameter.
Available options:
asc,
desc
items_count
integer

Number of items per page

Required range: x >= 1
block_number

Block number for paging

index

Transaction index for paging

inserted_at
string<date-time>

Inserted at timestamp for paging (ISO8601)

hash
string

Transaction hash for paging

Pattern: ^0x([A-Fa-f0-9]{64})$
value

Transaction value for paging

Pattern: ^-?([1-9][0-9]*|0)$
fee
string

Transaction fee for paging

Pattern: ^-?([1-9][0-9]*|0)$

Response

All transactions for the specified address.

items
Transaction · object[]
required
next_page_params
object | null
required
Example: